from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XAnimation(Protocol):
    def startAnimation(self) -> None: ...
    def stopAnimation(self) -> None: ...
    def isAnimationRunning(self) -> bool: ...
